Bug 1019564 - Lorax should not remove the virtio_console.ko module
Lorax should not remove the virtio_console.ko module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1019569
  Show dependency treegraph
 
Reported: 2013-10-16 01:47 EDT by Amit Shah
Modified: 2013-10-22 01:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: lorax-20.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1019569 (view as bug list)
Environment:
Last Closed: 2013-10-22 01:40:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2013-10-16 01:47:26 EDT
Description of problem:

Brian C. Lane found Lorax removes the virtio_console.ko module from the installer image; it needs to leave drivers/char/virtio_console.ko when cleaning up, to ensure kernels which build virtio_console.ko as a module are able to send guest install logs to the host via virtio-serial.
Comment 1 Fedora Update System 2013-10-16 20:22:39 EDT
lorax-20.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lorax-20.3-1.fc20
Comment 2 Fedora Update System 2013-10-17 16:30:08 EDT
Package lorax-20.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-20.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19192/lorax-20.3-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-22 01:40:16 EDT
lorax-20.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.